Update template
curl --request PUT \
--url https://api-message.nativehub.live/api/v1/templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated OTP Template",
"body": "Hi {{name}}, your verification code is {{otp}}."
}
'import requests
url = "https://api-message.nativehub.live/api/v1/templates/{id}"
payload = {
"name": "Updated OTP Template",
"body": "Hi {{name}}, your verification code is {{otp}}."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated OTP Template',
body: JSON.stringify('Hi {{name}}, your verification code is {{otp}}.')
})
};
fetch('https://api-message.nativehub.live/api/v1/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d0e1f2a3-b4c5-6789-de01-234567890123",
"tenant_id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"name": "OTP Template",
"body": "Dear {{name}}, your OTP is {{otp}}. Valid for {{validity}} minutes.",
"variables": {
"name": "string",
"otp": "string",
"validity": "number"
},
"status": "active",
"created_at": "2026-01-20T14:00:00Z",
"updated_at": "2026-02-05T16:45:00Z"
}{
"error": "Invalid request parameters"
}Templates
Update template
Update an existing message template
PUT
/
templates
/
{id}
Update template
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Template ID
⌘I